Loading...
Searching...
No Matches
org.linphone.lime.LimeCallbackReturn Enum Reference

Enumeration remapping the lime.CallbackReturn. More...

## Static Public Member Functions

static LimeCallbackReturn | fromNative (int val)
| static method to get an enum value from the native jni integer(used as returned value by native function)

## Public Attributes

| SUCCESS =(0)
| FAIL =(1)

## Detailed Description

Enumeration remapping the lime.CallbackReturn.

- java enumeration is mapped to an int
- jni code map the same int to the original lime.CallbackReturn

## Member Function Documentation

## fromNative()

LimeCallbackReturn org.linphone.lime.LimeCallbackReturn.fromNative | ( | int | val | ) |

inline static

static method to get an enum value from the native jni integer(used as returned value by native function)

Parameters

  [in] | val | integer value mapped to the jni enum

Returns
  one of the enumeration value, unknown input will silently default to FAIL

## Member Data Documentation

## FAIL

org.linphone.lime.LimeCallbackReturn.FAIL =(1)

## SUCCESS

org.linphone.lime.LimeCallbackReturn.SUCCESS =(0)

The documentation for this enum was generated from the following file:

- /build/lime-OjNHTX/lime-5.3.105+dfsg/src/java/org/linphone/lime/LimeCallbackReturn.java